[PATCH] Add docs to REXML functions

05/13/2011 10:17 PM - smartinez87 (Sebastian Martinez)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

Description

documented Functions::last, Functions::count and Functions::string_value

Associated revisions

Revision 8dca3799 - 05/13/2011 05:54 PM - drbrain (Eric Hodel)

lib/rexml/functions.rb:  Add some documentation for REXML::Functions.

Patch by Sebastian Martinez.  [Ruby 1.9 - Feature #4688]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31551 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/13/2011 11:21 PM - nagachika (Tomoyuki Chikanaga)

Hi,

Thank you for your patch :)

I've found a typo. Please check this out.

36c36

< +    # of each of the childrens of the node in the

of each of the children of the node in the

#2 - 05/13/2011 11:44 PM - smartinez87 (Sebastian Martinez)

- File functions.patch added

Oh good catch. Thanks for your feedback.

Here's the patch with the typo fixed.

Thanks!

#3 - 05/14/2011 02:54 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31551.

Sebastian, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/rexml/functions.rb:  Add some documentation for REXML::Functions.

Patch by Sebastian Martinez.  [Ruby 1.9 - Feature #4688]

Files

functions.patch 1.19 KB 05/13/2011 smartinez87 (Sebastian Martinez)

functions.patch 1.19 KB 05/13/2011 smartinez87 (Sebastian Martinez)
